curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/transactions/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"data": [
{
"amount": 123,
"currency": "USD",
"merchant_amount": 123,
"merchant_currency": "AED",
"merchant_location": "<string>",
"merchant_name": "<string>",
"payment_method": {
"details": {
"brand": "<string>",
"card_type": "credit",
"expiry_month": 6,
"expiry_year": 123,
"last4": "<string>"
},
"type": "card"
},
"type": "capture",
"description": "<string>",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"partner_metadata": {},
"started_at": "2023-11-07T05:31:56Z",
"status": "created"
}
]
}
'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"status": "success"
}curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/transactions/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"data": [
{
"amount": 123,
"currency": "USD",
"merchant_amount": 123,
"merchant_currency": "AED",
"merchant_location": "<string>",
"merchant_name": "<string>",
"payment_method": {
"details": {
"brand": "<string>",
"card_type": "credit",
"expiry_month": 6,
"expiry_year": 123,
"last4": "<string>"
},
"type": "card"
},
"type": "capture",
"description": "<string>",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"partner_metadata": {},
"started_at": "2023-11-07T05:31:56Z",
"status": "created"
}
]
}
'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"status": "success"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
A list of transactions to create.
Show child attributes
Was this page helpful?